Date: Wed, 17 Sep 1997 10:27:55 +0200 (CEST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: linux-m68k@phil.uni-sb.de
Subject: Re: L68K: 2.1.55
In-Reply-To: <d3d8m9lkvq.fsf@cern.ch>
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de

On 16 Sep 1997, Jes Sorensen wrote:
> Geert> [ oh no, I forgot to put my m68k patches on disk :-( ]
> 
> Yeah, silly excuse ;-)
> 
> Geert> But the only new thing is this: net/sunrpc/sunrpc_syms.c should
> Geert> export the symbols rpc_proc_init and rpc_register_sysctl
> Geert> (inside a #ifdef CONFIG_PROC_FS/#endif pair)
> 
> Send me a patch and I will put it in.

Here it comes:

diff -u --recursive --exclude-from=/home/geert/diff-excludes-linux --new-file /usr/src/m68k-2.1.55/net/sunrpc/sunrpc_syms.c m68k-2.1.55/net/sunrpc/sunrpc_syms.c
--- /usr/src/m68k-2.1.55/net/sunrpc/sunrpc_syms.c	Thu Sep 11 22:30:57 1997
+++ m68k-2.1.55/net/sunrpc/sunrpc_syms.c	Mon Sep 15 22:36:26 1997
@@ -73,9 +73,11 @@
 
 /* RPC statistics */
 #ifdef CONFIG_PROC_FS
+EXPORT_SYMBOL(rpc_proc_init);
 EXPORT_SYMBOL(rpc_proc_register);
 EXPORT_SYMBOL(rpc_proc_unregister);
 EXPORT_SYMBOL(rpc_proc_read);
+EXPORT_SYMBOL(rpc_register_sysctl);
 EXPORT_SYMBOL(svc_proc_register);
 EXPORT_SYMBOL(svc_proc_unregister);
 EXPORT_SYMBOL(svc_proc_read);


Other things we'll have to look at

  - CONFIG_MAGIC_SYSRQ
  - abscon
  - IDE

Please be a bit more patient :-)

Greetings,

						Geert

P.S. 2.1.55 seems to be stable as long as I use it. It was the second night in
     row that it locked up while I was asleep :-(
--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/{m68k~Amiga,PPC~CHRP}  http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

